#ifndef ST_H
#define ST_H

#include "iviewdef.h"

extern LVAL DialogChoiceItemValue(LVAL,int,int),
            DialogGetModalItem(LVAL),
            DialogListItemSelection(LVAL,int,LVAL),
            DialogScrollItemMax(LVAL,int,int),
            DialogScrollItemMin(LVAL,int,int),
            DialogScrollItemValue(LVAL,int,int),
            DialogTextItemText(LVAL,int,char *),
            DialogToggleItemValue(LVAL,int,LVAL),
            StGWGetColRefCon(ColorCode),
            StGWGetCursRefCon(int),
            StGWGetObject(StGWWinInfo *),
            StGWGetSymRefCon(int);
extern int StGrDirty(StGWWinInfo *),
           StGrNumVariables(StGWWinInfo *),
           StGWCanvasHeight(StGWWinInfo *),
           StGWCanvasWidth(StGWWinInfo *),
           StGWCursor(StGWWinInfo *),
           StGWDrawMode(StGWWinInfo *),
           StGWGetClipRect(StGWWinInfo *,int *,int *,int *,int *),
           StGWHasHscroll(StGWWinInfo *),
           StGWHasVscroll(StGWWinInfo *),
           StGWIdleOn(StGWWinInfo *),
           StGWLineType(StGWWinInfo *),
           StGWMakeCursor(int,char *,char *,int,int,LVAL),
           StGWMakeResCursor(char *,int,LVAL),
           StGWTextAscent(StGWWinInfo *),
           StGWTextDescent(StGWWinInfo *),
           StGWTextWidth(StGWWinInfo *,char *),
           StGWUseColor(StGWWinInfo *),
           StGWWinInfoSize(void),
           StHasWindows(void),
           StMObAllocated(LVAL),
           StMObInstalled(LVAL),
           StMObPopup(LVAL,int,int,LVAL),
           StScreenHasColor(void);
extern void DialogAllocate(LVAL),
            DialogButtonGetDefaultSize(LVAL,int *,int *),
            DialogChoiceGetDefaultSize(LVAL,int *,int *),
            DialogListGetDefaultSize(LVAL,int *,int *),
            DialogListItemSetText(LVAL,LVAL,char *),
            DialogRemove(LVAL),
            DialogScrollGetDefaultSize(LVAL,int *,int *),
            DialogSetDefaultButton(LVAL,LVAL),
            DialogTextGetDefaultSize(LVAL,int *,int *),
            DialogToggleGetDefaultSize(LVAL,int *,int *),
            StFlushGraphics(void),
            StFree(void *),
            StGetScreenSize(int *,int *),
            StGrGetClickRange(StGWWinInfo *,int *,int *),
            StGrGetContentOrigin(StGWWinInfo *,int *,int *),
            StGrGetContentRect(StGWWinInfo *,int *,int *,int *,int *),
            StGrGetContentVariables(StGWWinInfo *,int *,int *),
            StGrGetMargin(StGWWinInfo *,int *,int *,int *,int *),
            StGrObAdjustToData(LVAL,int),
            StGrSetClickRange(StGWWinInfo *,int,int),
            StGrSetContentOrigin(StGWWinInfo *,int,int),
            StGrSetContentRect(StGWWinInfo *,int,int,int,int),
            StGrSetContentVariables(StGWWinInfo *,int,int),
            StGrSetDirty(StGWWinInfo *,int),
            StGrSetMargin(StGWWinInfo *,int,int,int,int),
            StGWBufferToScreen(StGWWinInfo *,int,int,int,int),
            StGWDrawBitmap(StGWWinInfo *,int,int,int,int,char *),
            StGWDrawLine(StGWWinInfo *,int,int,int,int),
            StGWDrawPoint(StGWWinInfo *,int,int),
            StGWDrawString(StGWWinInfo *,char *,int,int),
            StGWDrawStringUp(StGWWinInfo *,char *,int,int),
            StGWDrawSymbol(StGWWinInfo *,int,int,int),
            StGWDrawText(StGWWinInfo *,char *,int,int,int,int),
            StGWDrawTextUp(StGWWinInfo *,char *,int,int,int,int),
#ifdef AMIGA
            StGWDumpImage(StGWWinInfo *,char *,double),
#else
            StGWDumpImage(StGWWinInfo *,FILE *,double),
#endif AMIGA
            StGWEraseArc(StGWWinInfo *,int,int,int,int,double,double),
            StGWEraseOval(StGWWinInfo *,int,int,int,int),
            StGWErasePoly(StGWWinInfo *,int,short *,int),
            StGWEraseRect(StGWWinInfo *,int,int,int,int),
            StGWFrameArc(StGWWinInfo *,int,int,int,int,double,double),
            StGWFrameOval(StGWWinInfo *,int,int,int,int),
            StGWFramePoly(StGWWinInfo *,int,short *,int),
            StGWFrameRect(StGWWinInfo *,int,int,int,int),
            StGWFreeColor(ColorCode),
            StGWFreeCursor(int),
            StGWGetAllocInfo(LVAL,char **,int *,int *,int *,int *,int *),
            StGWGetHScroll(void),
            StGWGetHscrollIncs(StGWWinInfo *,int *,int *),
            StGWGetLineWidth(StGWWinInfo *,int *),
            StGWGetScreenSize(void),
            StGWGetScroll(StGWWinInfo *,int *,int *),
            StGWGetSymbolSize(int,int *,int *),
            StGWGetViewRect(StGWWinInfo *,int *,int *,int *,int *),
            StGWGetVScroll(void),
            StGWGetVscrollIncs(StGWWinInfo *,int *,int *),
            StGWInitialDraw(StGWWinInfo *),
            StGWInitWinInfo(LVAL),
            StGWIsActive(void),
            StGWObDoClobber(LVAL),
            StGWObDoIdle(LVAL),
            StGWObDoKey(LVAL,unsigned char,int,int),
            StGWObDoMouse(LVAL,int,int,MouseEventType,MouseClickModifier),
            StGWObRedraw(LVAL),
            StGWObResize(LVAL),
            StGWPaintArc(StGWWinInfo *,int,int,int,int,double,double),
            StGWPaintOval(StGWWinInfo *,int,int,int,int),
            StGWPaintPoly(StGWWinInfo *,int,short *,int),
            StGWPaintRect(StGWWinInfo *,int,int,int,int),
            StGWRemove(StGWWinInfo *),
            StGWReplaceSymbol(StGWWinInfo *,int,int,int,int),
            StGWResetBuffer(void),
            StGWReverseColors(StGWWinInfo *),
            StGWSetBackColor(StGWWinInfo *,ColorCode),
            StGWSetClipRect(StGWWinInfo *,int,int,int,int,int),
            StGWSetColRefCon(ColorCode,LVAL),
            StGWSetCursor(StGWWinInfo *,int),
            StGWSetCursRefCon(int,LVAL),
            StGWSetDrawColor(StGWWinInfo *,ColorCode),
            StGWSetDrawMode(StGWWinInfo *,int),
            StGWSetFreeMem(StGWWinInfo *,void(*)(IVIEW_WINDOW)),
            StGWSetHasHscroll(StGWWinInfo *,int,int),
            StGWSetHasVscroll(StGWWinInfo *,int,int),
            StGWSetHScroll(void),
            StGWSetHscrollIncs(StGWWinInfo *,int,int),
            StGWSetIdleOn(StGWWinInfo *,int),
            StGWSetLine(void),
            StGWSetLineType(StGWWinInfo *,int),
            StGWSetLineWidth(StGWWinInfo *,int),
            StGWSetObject(StGWWinInfo *,LVAL),
            StGWSetRefCon(StGWWinInfo *,IView),
            StGWSetScroll(StGWWinInfo *,int,int,int),
            StGWSetSize(StGWWinInfo *,int,int,int),
            StGWSetSymRefCon(int,LVAL),
            StGWSetTitle(void),
            StGWSetUseColor(StGWWinInfo *,ColorCode),
            StGWSetVScroll(void),
            StGWSetVscrollIncs(StGWWinInfo *,int,int),
            StGWShowWindow(StGWWinInfo *),
            StGWStartBuffering(StGWWinInfo *),
            StGWWhileButtonDown(StGWWinInfo *,void(*)(/*IVIEW_WINDOW,int,int*/),int),
            StHideWindow(IVIEW_WINDOW),
            StInitGraphics(void),
            StMObAllocate(LVAL),
            StMObAllocateMach(LVAL),
            StMObAppendItems(LVAL,LVAL),
            StMObDeleteItem(LVAL,LVAL),
            StMObDispose(LVAL),
            StMObDisposeMach(LVAL),
            StMObEnable(LVAL,int),
            StMObInstall(LVAL),
            StMObRemove(LVAL),
            StMObSetItemProp(LVAL,int),
            StPerror(char *),
            StRFree(StReallocData),
            StRLock(StReallocData),
            StRUnlock(StReallocData),
            StShowWindow(IVIEW_WINDOW),
            StWGetLocation(IVIEW_WINDOW,int *,int *,int),
            StWGetSize(IVIEW_WINDOW,int *,int *,int),
            StWSetLocation(IVIEW_WINDOW,int,int,int),
            StWSetSize(IVIEW_WINDOW,int,int,int),
            StWSetTitle(IVIEW_WINDOW,char *);
extern long StRSize(StReallocData);
extern IViewDATA StGrData(StGWWinInfo  *);
extern IView StGWGetRefCon(StGWWinInfo *);
extern void *StCalloc(int,int),
            *StRPtr(StReallocData);
extern ColorCode StGWBackColor(StGWWinInfo *),
                 StGWDrawColor(StGWWinInfo *),
                 StGWMakeColor(double,double,double,LVAL);
extern StReallocData StRCalloc(int,int),
                     StRRealloc(StReallocData,int,int);
extern StGWWinInfo *StGWObWinInfo(LVAL);

#endif ST_H
